Create an intent to update a wallet. The intent must be authorized by the wallet owner before it can be executed.
Basic Auth header with your app ID as the username and your app secret as the password.
ID of your Privy app.
ID of the wallet.
Request body for updating a wallet.
New policy IDs to enforce on the wallet. Currently, only one policy is supported per wallet.
124The owner of the resource. If you provide this, do not specify an owner_id as it will be generated automatically. When updating a wallet, you can set the owner to null to remove the owner.
The key quorum ID to set as the owner of the resource. If you provide this, do not specify an owner.
Additional signers for the wallet.
Created wallet update intent.
Response for a wallet intent
Unique ID for the intent
Display name of the user who created the intent
Unix timestamp when the intent was created
ID of the resource being modified (wallet_id, policy_id, etc)
Detailed authorization information including key quorum members, thresholds, and signature status
Current status of an intent.
pending, executed, failed, expired, rejected, dismissed Unix timestamp when the intent expires
WALLET The original wallet update request that would be sent to the wallet endpoint
ID of the user who created the intent. If undefined, the intent was created using the app secret
Unix timestamp when the intent was rejected, present when status is 'rejected'
Unix timestamp when the intent was dismissed, present when status is 'dismissed'
Human-readable reason for dismissal, present when status is 'dismissed'
Current state of the wallet before any changes. If undefined, the resource was deleted and no longer exists
Result of wallet update execution (only present if status is 'executed' or 'failed')